"use strict";
(function ($) {
    $.field_opensourcelinkid = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element),
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('select.open-source-link').select2();
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }

    $.fn.field_opensourcelinkid = function (options) {

        return this.each(function () {

            if (undefined == $(this).data('field_opensourcelinkid')) {
                var plugin = new $.field_opensourcelinkid(this, options);
                $(this).data('field_opensourcelinkid', plugin);
            }
        });
    }
})(jQuery);